public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-python/ipyparallel/
Date: Fri,  4 Sep 2015 05:46:17 +0000 (UTC)	[thread overview]
Message-ID: <1441286280.ca7d0c7585eb15cdffb11363729fc18df57775ee.jlec@gentoo> (raw)

commit:     ca7d0c7585eb15cdffb11363729fc18df57775ee
Author:     Sean Vig <sean.v.775 <AT> gmail <DOT> com>
AuthorDate: Wed Sep  2 19:11:49 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Sep  3 13:18:00 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=ca7d0c75

dev-python/ipyparallel: Add doc use flag

 dev-python/ipyparallel/ChangeLog               |  3 +++
 dev-python/ipyparallel/ipyparallel-9999.ebuild | 21 ++++++++++++++++++++-
 2 files changed, 23 insertions(+), 1 deletion(-)

diff --git a/dev-python/ipyparallel/ChangeLog b/dev-python/ipyparallel/ChangeLog
index 0e847a6..7fc778c 100644
--- a/dev-python/ipyparallel/ChangeLog
+++ b/dev-python/ipyparallel/ChangeLog
@@ -2,6 +2,9 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+  02 Sep 2015; Sean Vig <sean.v.775@gmail.com> ipyparallel-9999.ebuild:
+  dev-python/ipyparallel: Add doc use flag
+
 *ipyparallel-4.0.0-r1 (01 Sep 2015)
 
   01 Sep 2015; Marius Brehler <marbre@linux.sungazer.de>

diff --git a/dev-python/ipyparallel/ipyparallel-9999.ebuild b/dev-python/ipyparallel/ipyparallel-9999.ebuild
index b49aebc..3270b33 100644
--- a/dev-python/ipyparallel/ipyparallel-9999.ebuild
+++ b/dev-python/ipyparallel/ipyparallel-9999.ebuild
@@ -20,7 +20,7 @@ fi
 
 LICENSE="BSD"
 SLOT="0"
-IUSE="test"
+IUSE="doc test"
 
 RDEPEND="
 	dev-python/ipython_genutils[${PYTHON_USEDEP}]
@@ -30,6 +30,7 @@ RDEPEND="
 	!<dev-python/ipython-4.0.0[smp]
 	"
 DEPEND="${RDEPEND}
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
 	test? (
 		dev-python/nose[${PYTHON_USEDEP}]
 		dev-python/requests[${PYTHON_USEDEP}]
@@ -37,6 +38,24 @@ DEPEND="${RDEPEND}
 	)
 	"
 
+python_prepare_all() {
+	# Prevent un-needed download during build
+	if use doc; then
+		sed -e "/^    'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
 python_test() {
 	iptest --coverage xml ipyparallel.tests || die
 }
+
+python_install_all() {
+	use doc && HTML_DOCS=( docs/build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2015-09-04  5:46 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-04  5:46 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-09-21 23:23 [gentoo-commits] proj/sci:master commit in: dev-python/ipyparallel/ Aisha Tammy
2017-01-03 10:30 Marius Brehler
2016-07-27 12:17 Marius Brehler
2016-05-18  7:05 Marius Brehler
2015-11-28 17:58 Marius Brehler
2015-11-11 17:12 Justin Lecher
2015-10-28 10:45 Justin Lecher
2015-10-21 13:44 Justin Lecher
2015-10-01  6:06 Justin Lecher
2015-09-22  7:22 Justin Lecher
2015-09-09  7:11 Justin Lecher
2015-09-01 10:26 Justin Lecher
2015-09-01  7:57 Justin Lecher
2015-09-01  7:57 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1441286280.ca7d0c7585eb15cdffb11363729fc18df57775ee.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox